Bug 1413810 - QML application crashes during start on Windows 7
Summary: QML application crashes during start on Windows 7
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-angleproject
Version: 25
Hardware: x86_64
OS: Windows
unspecified
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 01:54 UTC by Rick Landon
Modified: 2017-12-12 10:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1319946
Environment:
Last Closed: 2017-12-12 10:54:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Rick Landon 2017-01-17 01:54:32 UTC
+++ This bug was initially created as a clone of Bug #1319946 +++

Description of problem:
MinGW cross compiled application crashes on Windows 7 during launch with the following error message:

../src/libGLESv2/renderer/Renderer.cpp, Line 168
Expression: renderer

Followed that to the source, it crashes while destructing the renderer and that's probably because it couldn't work with any available native rendereres.

The same binary works on Windows 10 - I suspect it's because Windows 10 bundles angle libs.

Official Qt mingw builds works as expected on both Windows 7 and 10.

I'm currently building mingw-qt5-qtbase with bundled angle libs to check if that's causing the crash on Win7...

Version-Release number of selected component (if applicable):
mingw-angleproject-0-0.13.git.30d6c2.20141113

How reproducible: Always.

Steps to Reproduce:
Compile any (Qt Quick Controls Application example will do) Qt5 QML app and try to run it on Windows 7.

--- Additional comment from Erik van Pienbroek on 2016-03-22 16:39:08 EDT ---

Is the library d3dcompiler_43.dll installed on your Windows 7 environment? It should be bundled along with your executable (or installed by the directx installer). Without this library ANGLE/Qt5 binaries can fail to function properly

--- Additional comment from Przemysław Palacz on 2016-03-22 19:26:54 EDT ---

Thank you for the reply.

Actually I don't know how I've missed that (it's mentioned on wiki.qt.io) but unfortunately installing DirectX runtime does work either.

I should mention that my Windows 7 test system is running inside KVM and as far as I know it's not possible to enable 3D hardware acceleration there so that's one more reason why it doesn't work for me... (wanted to test inside VirtualBox, to be sure but I see 3D stopped working there :/).

As official Qt MinGW build is working fine I guess it's because Fedora uses old angle version, because of Qt WebKit module but as this module is no longer shipped as of Qt 5.6 maybe we could finally update angle?

Currently I'm trying to build the latest angle version because rebuilding qtbase with -opengl dynamic doesn't seem to be supported under mingw (I don't know what i was expecting :/) and without that it builds in desktop mode which if I understand correctly (https://blog.qt.io/blog/2014/11/27/qt-weekly-21-dynamic-opengl-implementation-loading-in-qt-5-4/) is not the way to make it work without proper 3D support.

--- Additional comment from Fedora End Of Life on 2016-11-24 11:11:01 EST ---

This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Fedora End Of Life on 2016-12-20 14:35:01 EST ---

Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

--- Additional comment from Martin Bříza on 2017-01-06 05:12:19 EST ---

This problem is still legitimate.

--- Additional comment from Rick Landon on 2017-01-16 20:53:24 EST ---

Same problem on 25 under Windows 7 and 10 as 23.
Nice solution, lets say its an outdated version and close it.

Comment 1 Rick Landon 2017-01-17 01:55:17 UTC
The same problem persists on version 25.

Comment 2 Sandro Mani 2017-01-17 10:16:33 UTC
Hi,
I'm currently working on updating all the mingw-qt packages, the work in progress can be found here:

https://copr.fedorainfracloud.org/coprs/smani/mingw-qt5-5.7.1/

Please give it a try and general testing is also welcome.

Comment 3 Fedora End Of Life 2017-11-16 19:10:59 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:54:37 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.